angular.module('beamng.apps')
.directive('agentyMechanicalFailure', [function () {
  return {
	//templateUrl: '/ui/modules/apps/agenty_mechanical_failure/app.html',
	template:
    '<div style="max-height:100%; width:100%; background:transparent;" layout="row" layout-align="center center" layout-wrap>' +
      '<md-button flex style="margin: 2px; min-width: 200px" md-no-ink class="md-raised" ng-click="breakRandomPart()">Break Off Random Part</md-button>' +
      '<md-button flex style="margin: 2px; min-width: 200px" md-no-ink class="md-raised" ng-click="deformRandomPart()">Break Random Brittle Part</md-button>' +
	  '<md-button flex style="margin: 2px; min-width: 200px" md-no-ink class="md-raised" ng-click="igniteRandomPart()">Ignite Random Part</md-button>' +
	  '<md-button flex style="margin: 2px; min-width: 300px" md-no-ink class="md-raised" ng-click="breakRandomBeamSafe()">Damage Random Part (Realistic)</md-button>' +
	  '<md-button flex style="margin: 2px; min-width: 300px" md-no-ink class="md-raised" ng-click="breakRandomBeam()">Damage Random Part (Any Part)</md-button>' +
	  '<md-button flex style="margin: 2px; min-width: 200px" md-no-ink class="md-raised" ng-click="deformRandomBeam()">Deform Random Part</md-button>' +
	  '<md-button flex style="margin: 2px; min-width: 200px" md-no-ink class="md-raised" ng-click="deflateRandomTire()">Puncture Random Tire</md-button>' +
	  '<md-button flex style="margin: 2px; min-width: 200px" md-no-ink class="md-raised" ng-click="mechanicalFailure()">Random Failure</md-button>' +
	  '<md-button flex style="margin: 2px; min-width: 600px" md-no-ink class="md-raised" ng-click="toggleDamageTimer()">Toggle Random Failure Every 10s</md-button>' +
    '</div>',
	replace: true,
	restrict: 'EA',
	link: function (scope, element, attrs) {
			// The current overlay screen the user is on (default: null)
			scope.overlayScreen = null;	
			scope.breakRandomPart = function () {
				bngApi.activeObjectLua('extensions.agentyMechanicalFailure.breakRandomPart()');
			};
			scope.deformRandomPart = function () {
				bngApi.activeObjectLua('extensions.agentyMechanicalFailure.deformRandomPart()');
			};
			scope.igniteRandomPart = function () {
				bngApi.activeObjectLua('extensions.agentyMechanicalFailure.igniteRandomPart()');
			};
			scope.breakRandomBeam = function () {
				bngApi.activeObjectLua('extensions.agentyMechanicalFailure.breakRandomBeam()');
			};
			scope.breakRandomBeamSafe = function () {
				bngApi.activeObjectLua('extensions.agentyMechanicalFailure.breakRandomBeamSafe()');
			};
			scope.deformRandomBeam = function () {
				bngApi.activeObjectLua('extensions.agentyMechanicalFailure.deformRandomBeam()');
			};
			scope.deflateRandomTire = function () {
				bngApi.activeObjectLua('extensions.agentyMechanicalFailure.deflateRandomTire()');
			};
			scope.mechanicalFailure = function () {
				bngApi.activeObjectLua('extensions.agentyMechanicalFailure.mechanicalFailure()');
			};
			scope.toggleDamageTimer = function () {
				bngApi.activeObjectLua('extensions.agentyMechanicalFailure.toggleDamageTimer()');
			};
		},
	};
}]);